[tool.poetry]
name = "interactEM docs"
version = "0.0.1"
description = "interactEM documentation"
authors = ["interactEM developers"]
readme = "README.md"
package-mode = false

[tool.poetry.dependencies]
python = "^3.12"
sphinx = "^8.1.3"
sphinx-multiversion = "^0.2.4"
myst-parser = "^4.0.0"
sphinxcontrib-mermaid = "^1.0.0"
sphinx-design = "^0.6.1"
furo = "^2025.7.19"
sphinx-copybutton = "^0.5.2"

[tool.poetry.group.dev.dependencies]
sphinx-autobuild = "^2024.10.3"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
